#ifndef _CALIB_PUBLIC_H
#define _CALIB_PUBLIC_H
#include "Std_Types.h"


enum CalibIndex
{
    data0 = 0,
    data1,
    data2,
    data3,
    data4,
    data5,
    data6,
    data7,
    total_data,
};


/* Calibration module init, call it at initialize phase*/
sint8 Calib_Init(void);

/* Get calibraion data */
uint16 Calib_GetData(uint8 index);

/* calibration task called every 2ms */
void Calib_Task(void);

/* trigger calibration  in $31 start */
sint8 Calib_Trigger(uint8 index, uint16 data);

/* check calibration finish*/
sint8 Calib_FinishCheck(uint8 index);


#endif